KYUA-LIST(1)

NAME
kyua list - Lists test cases and their metadata

SYNOPSIS
kyua list [--build-root path] [--kyuafile file] [--verbose] test_case1 [.. test_caseN]

DESCRIPTION
The kyua list command scans all the test programs and test cases in a test suite (as defined by a kyuafile(5)) and prints a list of all their names, optionally accompanied by any metadata properties they have.

The optional arguments to kyua list are used to select which test programs or test cases to run. These are filters and are described below in Test filters.

This command must be run within a test suite or a test suite must be provided with the --kyuafile flag.

The following subcommand options are recognized:

--build-root path
    Specifies the build root in which to find the test programs referenced by the Kyuafile, if different from the Kyuafile's directory. See Build directories below for more information.

--kyuafile path, -k path
    Specifies the Kyuafile to process. Defaults to a Kyuafile file in the current directory.

--verbose, -v
    Prints metadata properties for every test case.

  Build directories
__include__ build-root.mdoc COMMAND=list

  Test filters
__include__ test-filters.mdoc

EXIT STATUS
The kyua list command returns 0 on success or 1 if any of the given test case filters does not match any test case.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyuafile(5)